<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class OrderPlacedMail extends Mailable
{
    use Queueable, SerializesModels;

    public $userData;
    public $cartItems;

    /**
     * Create a new message instance.
     */
    public function __construct($userData, $cartItems)
    {
        $this->userData = $userData;
        $this->cartItems = $cartItems;
    }

    /**
     * Build the message.
     */
    public function build()
    {
        return $this->subject('New Order Placed')
            ->view('emails.order', [
                'userData' => $this->userData,
                'cartItems' => $this->cartItems,
            ])
            ->with([
                'userData' => $this->userData,
                'cartItems' => $this->cartItems,
            ]);
    }
}
