@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Service" :route="''"  :import="''"/>
            <!-- End page-title -->

            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-header">
                            <h4 class="card-title">Service Information</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <!-- Service Title -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Title:</h5>
                                    <p class="text-bold">{{ $service->name }}</p>
                                </div>

                                <div class="col-md-6">
                                    <h5 class="text-muted">Title:</h5>
                                    <p class="text-bold">{{ $service->title }}</p>
                                </div>

                                <div class="col-md-6">
                                    <h5 class="text-muted">Title:</h5>
                                    <p class="text-bold">{{ $service->value_one }}</p>
                                </div>

                                <div class="col-md-6">
                                    <h5 class="text-muted">Title:</h5>
                                    <p class="text-bold">{{ $service->value_two }}</p>
                                </div>

                                <div class="col-md-6">
                                    <h5 class="text-muted">Title:</h5>
                                    <p class="text-bold">{{ $service->value_three }}</p>
                                </div>

                                <!-- Service Description -->
                                <div class="col-md-12">
                                    <h5 class="text-muted">Description:</h5>
                                    <p>{!! $service->description !!}</p>
                                </div>
                            </div>

                            <div class="row">
                                <!-- Service Photo -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Service Photo:</h5>
                                    @if($service->service_photo)
                                        <img src="{{ asset($service->service_photo) }}" alt="Service Photo" class="img-fluid rounded" style="max-width: 300px;">
                                    @else
                                        <p>No service photo available</p>
                                    @endif
                                </div>

                                <!-- Service Photo for Details Page -->
                                <div class="col-md-6">
                                    <h5 class="text-muted">Photo for Details Page:</h5>
                                    @if($service->service_photo_details)
                                        <img src="{{ asset($service->service_photo_details) }}" alt="Details Page Photo" class="img-fluid rounded" style="max-width: 300px;">
                                    @else
                                        <p>No details page photo available</p>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Back Button -->
                    <div class="card m-b-30">
                        <div class="card-body text-center">
                            <a href="{{ route('dashboard.services.index') }}" class="btn btn-primary">Back to Services</a>
                        </div>
                    </div>
                </div>
            </div> <!-- end row -->
        </div>
        <!-- end container-fluid -->
    </div>
@endsection
