@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Team" :route="''"  :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.teams.update',$team->id)}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')
                                <x-input attribute="col-sm-10" label="Name" type="type" name="name" :value="$team->name" placeholder="Enter the name"/>
                                <x-input attribute="col-sm-10" label="Position" type="type" name="position" :value="$team->position" placeholder="Enter the position"/>
                                <x-input attribute="col-sm-10" label="Linkedin Link" type="type" name="linkedin" :value="$team->linkedin" placeholder="Enter the linkedin"/>
                                <x-input attribute="col-sm-10" label="Add Team Photo" type="file" name="photo" value="" placeholder="Enter the Photo"/>
                                <div class="form-group row">
                                    <label class="col-form-label col-sm-2 text-right">Team Photo</label>
                                    <div class="col-sm-10">
                                        @if($team->photo)
                                            <div class="d-flex align-items-center">
                                                <img src="{{ asset($team->photo) }}" alt="Identity Photo" class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                                <button class="btn btn-danger ml-2 delete-image-slider-photo" data-slider-id="{{ $team->id }}">Delete</button>
                                            </div>
                                        @else
                                            <p>No Team Photo</p>
                                        @endif
                                    </div>
                                </div>
                                <x-button :attribute="getAction()" :item="$item" />
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <script>
        $(document).ready(function(){
            $('.delete-image-slider-photo').on('click', function(event){
                var teamId = $(this).data('slider-id');
                if(confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.teams.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            team_id : teamId
                        },
                        success: function(response){
                            location.reload();
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
